<?xml version="1.0"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
    attributeFormDefault="unqualified"
    elementFormDefault="qualified"
    targetNamespace="http://www.zaaksysteem.nl/xml/zaaksysteem/attributes-v1"
    xmlns="http://www.zaaksysteem.nl/xml/zaaksysteem/attributes-v1"
    xmlns:zsc="http://www.zaaksysteem.nl/xml/zaaksysteem/common-v1"
  >

  <xs:import namespace="http://www.zaaksysteem.nl/xml/zaaksysteem/common-v1" schemaLocation="common.xsd"/>

  <xs:element type="CatalogueAttributeType" name="CatalogueAttributes"/>
  <xs:element type="CaseAttributeType" name="CaseAttributes"/>

  <xs:complexType name="CatalogueAttributeType">
    <xs:sequence>
        <xs:element type="HeaderType" name="Header"/>
        <xs:element type="AttributeListType" name="Attribute" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="CaseAttributeType">
    <xs:sequence>
        <xs:element type="HeaderType" name="Header"/>
        <xs:element type="Case" name="Case" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="HeaderType">
    <xs:sequence>
        <xs:element type="xs:dateTime" name="Timestamp"/>   <!-- Wanneer was de import/query -->
        <xs:element type="zsc:NonEmptyStr" name="Identifier"/>  <!-- instance_uuid -->
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="AttributeListType">
    <xs:all>
      <xs:element type="zsc:NonEmptyStr" name="type"/>
      <xs:element type="zsc:NonEmptyStr" name="magicstring"/>
      <xs:element type="zsc:EmptyStr" name="default" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element type="zsc:EmptyStr" name="label" minOccurs="0"/>
      <xs:element type="zsc:EmptyStr" name="description" minOccurs="0"/>
      <xs:element type="zsc:EmptyStr" name="help" minOccurs="0"/>
      <xs:element type="xs:boolean" name="multiple" minOccurs="0"/>
      <xs:element type="xs:boolean" name="system" minOccurs="0"/>
    </xs:all>
  </xs:complexType>

  <xs:complexType name="CaseAttribute">
    <xs:sequence>
      <xs:element type="zsc:NonEmptyStr" name="magicstring"/>
      <xs:element type="zsc:EmptyStr" name="value" minOccurs="0" maxOccurs="unbounded" nillable="true" />
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="Case">
    <xs:sequence>
      <xs:element type="zsc:UUID" name="UUID"/>
      <xs:element type="CaseAttribute" name="Attribute" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

</xs:schema>
